| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IAGSEstimator Struct Referenceabstract

Approximate Garbage Score estimator interface. More...

`#include <IAGSEstimator.h>`

Inheritance diagram for fsdk::IAGSEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, float > | estimate (const Image &image, const Detection &detection) const noexcept=0
| Estimate the ags. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< float > out) const noexcept=0
| Estimate ags of multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Approximate Garbage Score estimator interface.

Note
  This estimator is designed to work with Image and Detection;

## Member Function Documentation

## ◆ estimate() [1/2]

virtual ResultValue<FSDKError, float> fsdk::IAGSEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection
| ) |  | const
| pure virtual noexcept

Estimate the ags.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.

Returns
  ResultValue with error code and score of estimation.

See also
  Image, Detection, ResultValue, FSDKError for details.

Note
  image format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IAGSEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< float > | out
| ) |  | const
| pure virtual noexcept

Estimate ags of multiple frames in a single estimate function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | out | output span of scores for each image.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result, FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IAGSEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result, FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- fsdk.framework/Headers/Estimators/IAGSEstimator.h